Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLnotes

    java.lang.Object
      OOXMLconvert.OOXMLnotes

    public class OOXMLnotes

extends java.lang.Object

Field Summary
`private java.util.LinkedHashMap<java.lang.String,Element>` | `endnotes` id a výstupný HTML element endnote
`private java.util.LinkedHashMap<java.lang.String,Element>` | `footnotes` id a výstupný HTML element footnote

Constructor Summary
`OOXMLnotes()` Konštruktor

Method Summary
`Element` | `getEndnote(java.lang.String id)` Funkcia na základe daného id vráti zodpovedajúcu endnote
`Element` | `getFootnote(java.lang.String id)` Funkcia na základe daného id vráti zodpovedajúcu footnote
`private boolean` | `readEndnotes(Element endnotesEl)` Funkcia prečíta endnotes
`private boolean` | `readFootnotes(Element footnotesEl)` Funkcia prečíta footnotes
`boolean` | `readNotes()` Funkcia prečíta footnotes a endnotes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### footnotes

    private java.util.LinkedHashMap<java.lang.String,Element> footnotes

  id a výstupný HTML element footnote

### endnotes

    private java.util.LinkedHashMap<java.lang.String,Element> endnotes

  id a výstupný HTML element endnote

Constructor Detail

### OOXMLnotes

    public OOXMLnotes()

  Konštruktor

Method Detail

### readFootnotes

    private boolean readFootnotes(Element footnotesEl)

  Funkcia prečíta footnotes

  Parameters:
    `footnotesEl` - element container s footnotes
  Returns:
    true ak nenastane chyba, false inak

### readEndnotes

    private boolean readEndnotes(Element endnotesEl)

  Funkcia prečíta endnotes

  Parameters:
    `endnotesEl` - element container s endnotes
  Returns:
    true ak nenastane chyba, false inak

### getFootnote

    public Element getFootnote(java.lang.String id)

  Funkcia na základe daného id vráti zodpovedajúcu footnote

  Parameters:
    `id` - id footnote
  Returns:
    HTML element priradený k danej footnote

### getEndnote

    public Element getEndnote(java.lang.String id)

  Funkcia na základe daného id vráti zodpovedajúcu endnote

  Parameters:
    `id` - id endnote
  Returns:
    HTML element priradený k danej endnote

### readNotes

    public boolean readNotes()

  Funkcia prečíta footnotes a endnotes

  Returns:
    true ak nenastane chyba, false inak

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD